<?php
    /** @@var $_product Mage_Catalog_Model_Product */
    $_product = $this->getProduct();
    $_msrpPrice = "";

    $_tpl = $this->helper('designer')->createTemplate('product/price/text');
    $_regularPriceId = $this->getRegularPriceId();
    $_oldPriceId = $this->getOldPriceId();
?>
<div class="@classNames map-info">
<?php $_price = $this->helper('tax')->getPrice($_product, $_product->getMsrp()) ?>
    <?php if ($_product->getMsrp()): ?>
        <?php $_msrpPrice = $this->helper('core')->currency($_product->getMsrp(),true,true) ?>

        <?php $_tpl->section('price') ?>
            <?php echo $_msrpPrice ?>
        <?php echo $_tpl->setControlId($_oldPriceId)->render() ?>
    <?php endif; ?>
    <?php $helpLinkId = 'msrp-click-' . $_product->getId() . $this->helper('core')->getRandomString(20); ?>
    <a href="#" id="<?php echo($helpLinkId);?>"><?php echo $this->__('Click for price') ?></a>
    <script type="text/javascript">
        <?php if ($this->helper('catalog')->isShowPriceOnGesture($_product)): ?>
            var productLink = {
                url: "<?php echo $_product->isSalable() ? $_product->getAddToCartUrl() : '' ?>",
                notUseForm: true
            };
            var newLink = Catalog.Map.addHelpLink(
                    $('<?php echo $helpLinkId ?>'),
                    "<?php echo $_product->getName() ?>",
                    <?php echo $this->getRealPriceJs($_product) ?>,
                    '<?php echo $_msrpPrice ?>',
                    productLink
            );
            newLink.product_id = '<?php echo $_product->getId() ?>';
        <?php else: ?>
            Catalog.Map.addHelpLink(
                    $('<?php echo $helpLinkId ?>'),
                    null,
                    null,
                    null,
                    "<?php echo $_product->getProductUrl() ?>"
            );
        <?php endif; ?>

    </script>
</div>